{
  "openapi": "3.0.1",
  "info": {
    "title": "compensation",
    "description": "The Compensation service enables applications to extend Workday's HCM Compensation features.",
    "version": "v3",
    "x-workday-confidence-level": "Production",
    "x-workday-internal-source": "xo",
    "x-workday-internal-routing": "Public",
    "x-workday-internal-protected-usage-enabled": false,
    "x-workday-internal-service-container-id": "2d8b79dba7251000105e1cc54b0a13e1"
  },
  "servers": [
    {
      "url": "https://<tenantHostname>/compensation/v3"
    }
  ],
  "tags": [
    {
      "name": "scorecardResults",
      "description": "Provides the ability to set up and retrieve Scores on Scorecard Results."
    },
    {
      "name": "scorecards",
      "description": "Provides the ability to set up and retrieve Scores on Scorecard Results."
    },
    {
      "name": "workers"
    },
    {
      "name": "Prompt Values",
      "description": "Retrieves instances that can be used as values for other endpoint parameters in this service."
    }
  ],
  "paths": {
    "/scorecardResults": {
      "get": {
        "tags": [
          "scorecardResults"
        ],
        "summary": "Provides the ability to set up and retrieve Scores on Scorecard Results.",
        "description": "Retrieves the Scorecard Results.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer",
                      "format": "int32"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/scoresetContainer_9417ca9c97d910000b2cd7813b5b00fc"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "9417ca9c97d910000b4e27fc474400ff",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      },
      "post": {
        "tags": [
          "scorecardResults"
        ],
        "summary": "Creates a new Scorecard Result.",
        "description": "In the request body, specify these required fields:\n\n* compensationScorecard  - The Workday ID of a Compensation Scorecard. You can use a returned id from the GET /scorecards method.\n* evaluationDate - The date when the Scorecard Result is evaluated. Use the yyyy-mm-dd format.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/createScorecardResults_788fbbd8885d100009973168b6ea015e"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/createScorecardResults_788fbbd8885d100009973168b6ea015e"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nChange the Evaluation Date to a date that is on or after the Effective Date of the selected Scorecard. The specified Evaluation Date is before the earliest Effective Date of the selected Scorecard.\n\nEither specify a different Evaluation Date or edit the existing Scores. The Scorecard Result for the specified Scorecard and Evaluation Date already exists:([scores])",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "788fbbd8885d1000099999c29d8d0162",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      }
    },
    "/scorecardResults/{ID}/scores/{subresourceID}": {
      "patch": {
        "tags": [
          "scorecardResults"
        ],
        "summary": "Updates the Score for the specified Scorecard Result.",
        "description": "Sets the achievement value for the specified Score in the specified Scorecard Result.\nSpecify the required achievement value as a percentage (1-100%).\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Compensation_Performance_Scorecard_Result_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecardResults"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Compensation_Performance_Scorecard_Result_ID=21002"
              }
            }
          },
          {
            "name": "subresourceID",
            "in": "path",
            "description": "The Workday ID of the subresource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scores"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              }
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/scoreInput_b919a306ff7e10000e12a527cd2c0166"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scoreInput_b919a306ff7e10000e12a527cd2c0166"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nYou can’t update Scorecard Results used in a completed compensation review process.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "b919a306ff7e10000ceaf185bf270163",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      }
    },
    "/scorecardResults/{ID}": {
      "get": {
        "tags": [
          "scorecardResults"
        ],
        "summary": "Provides the ability to set up and retrieve Scores on Scorecard Results.",
        "description": "Retrieves the Scorecard Results.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Compensation_Performance_Scorecard_Result_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecardResults"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Compensation_Performance_Scorecard_Result_ID=21002"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scoresetContainer_9417ca9c97d910000b2cd7813b5b00fc"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "9417ca9c97d910000b4e27fc474400ff",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      },
      "delete": {
        "tags": [
          "scorecardResults"
        ],
        "summary": "Deletes the Scorecard Results with the specified ID.",
        "description": "Deletes the Scorecard Results with the specified ID.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Compensation_Performance_Scorecard_Result_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecardResults"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Compensation_Performance_Scorecard_Result_ID=21002"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MULTIPLE_INSTANCE_MODEL_REFERENCE"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nYou can’t delete the Scorecard Results used in a completed or in-progress compensation review process.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "e41bd18d448910000d5f670d61e6026e",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      }
    },
    "/scorecards": {
      "get": {
        "tags": [
          "scorecards"
        ],
        "summary": "Retrieves Compensation Scorecard information.",
        "description": "Retrieves Compensation Scorecard information including the scorecardName, scorecardDescription, inactive status, defaultScorecardGoals, scorecardProfiles containing profileScorecardGoals as of the effective date. The default effective date is the request date.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "effectiveDate",
            "in": "query",
            "description": "Effective date the scorecard task takes effect.",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer",
                      "format": "int32"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/scorecard_e8cffc5e0fe810000b26ce3a5d2200f4"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "e8cffc5e0fe810000ac04722d79c00f2",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      },
      "post": {
        "tags": [
          "scorecards"
        ],
        "summary": "Creates a Compensation Scorecard",
        "description": "Creates a new Compensation Scorecard.\n\nIn the request body, specify these required fields: scorecardName, effectiveDate, and defaultScorecardGoals[ {goalName, goalWeight} ]. \nIf you specify the optional scorecardProfiles[], you must specify the eligibilityRule{id} and at least 1 goal in profileScorecardGoals[ {goalName, goalWeight} ].\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/createScorecard_e783e109d05a100008666e71ee9200c1"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/createScorecard_e783e109d05a100008666e71ee9200c1"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nA Default Scorecard \\~Goal\\~ is missing\n\nA \\~Goal\\~ is missing for a Scorecard Profile.\n\nScorecard Name entered has already been used.\n\nThe sum of the \\~goal\\~ weightings must equal 100%.\n\nThere are duplicate eligibility rules on this request.\n\n\\~Goal\\~ Weights must be greater than 0.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "e783e109d05a10000778a8412a8900b4",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      }
    },
    "/scorecards/{ID}": {
      "get": {
        "tags": [
          "scorecards"
        ],
        "summary": "Retrieves Compensation Scorecard information.",
        "description": "Retrieves Compensation Scorecard information including the scorecardName, scorecardDescription, inactive status, defaultScorecardGoals, scorecardProfiles containing profileScorecardGoals as of the effective date. The default effective date is the request date.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Performance_Scorecard_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecards"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Performance_Scorecard_ID=21002"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/scorecard_e8cffc5e0fe810000b26ce3a5d2200f4"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "e8cffc5e0fe810000ac04722d79c00f2",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      },
      "put": {
        "tags": [
          "scorecards"
        ],
        "summary": "Updates a Compensation Scorecard",
        "description": "Replaces an existing Compensation Scorecard as of the specified effectiveDate. \nCall GET /scorecards/{ID} to initially populate the request body with the existing data. You can then update the scorecardName, scorecardDescription, and inactive fields. You can also add, update, and delete the existing data in defaultScorecardGoals[], scorecardProfiles[], and profileScorecardGoals[].\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Performance_Scorecard_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecards"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Performance_Scorecard_ID=21002"
              }
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/editScorecards_6316bca5e030100008492348577100af"
              }
            }
          }
        },
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Updating resource.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/editScorecards_6316bca5e030100008492348577100af"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nA Default Scorecard \\~Goal\\~ is missing\n\nA Scorecard Profile doesn't exist as of the Effective Date. Remove or replace the invalid Scorecard Profile or change the Effective Date.\n\nA Scorecard Profile is already in use on another Scorecard. Select a Scorecard Profile that's not already in use.\n\nA \\~Goal\\~ doesn't exist as of the Effective Date. Remove or replace the invalid \\~Goal\\~ or change the Effective Date.\n\nA \\~Goal\\~ is invalid. Enter a valid \\~Goal\\~.\n\nA \\~Goal\\~ is missing for a Scorecard Profile.\n\nEnter an Effective Date that is on or after the first Effective Date of the scorecard: [effectiveDate].\n\nScorecard Name entered has already been used.\n\nThe sum of the \\~goal\\~ weightings must equal 100%.\n\nThere are duplicate eligibility rules on this request.\n\nYou can't edit the compensation scorecard [scorecard] for the Effective Date [date] because the latest dated performance results associated with the scorecard is the date [latest date]. Enter an Effective Date for editing the scorecard that is after the following date: [latest date]\n\nYou entered duplicate Scorecard Profiles. Replace or remove the duplicates.\n\nYou entered duplicate \\~Goals\\~. Replace or remove the duplicates.\n\n\\~Goal\\~ Weights must be greater than 0.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "6316bca5e0301000085106abcb1100b3",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      },
      "delete": {
        "tags": [
          "scorecards"
        ],
        "summary": "Deletes a Compensation Scorecard with the specified ID.",
        "description": "Deletes Compensation Scorecards.\n\n<b>Secured By Domain:</b> Set Up: Merit and Bonus\n\n<b>Scope:</b> Advanced Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Performance_Scorecard_ID",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_scorecards"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Performance_Scorecard_ID=21002"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data. Deleting resource.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MULTIPLE_INSTANCE_MODEL_REFERENCE"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nThe Compensation Scorecard cannot be deleted because it is in use.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "c76caeba972910000e71587ba79700b3",
        "x-workday-secured-by-domains": [
          "Set Up: Merit and Bonus"
        ]
      }
    },
    "/workers": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a collection of workers.",
        "description": "Retrieves all workers. Use the search parameter to search for workers by name. The search is case-insensitive.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Current Staffing Information, Worker Data: Public Worker Reports\n\n<b>Scope:</b> Staffing",
        "parameters": [
          {
            "name": "includeTerminatedWorkers",
            "in": "query",
            "description": "Include terminated workers in the output",
            "schema": {
              "type": "boolean"
            }
          },
          {
            "name": "limit",
            "in": "query",
            "description": "The maximum number of objects in a single response. The default is 20. The maximum is 100.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "offset",
            "in": "query",
            "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
            "schema": {
              "type": "integer",
              "format": "int64"
            }
          },
          {
            "name": "search",
            "in": "query",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "type": "object",
                  "properties": {
                    "total": {
                      "type": "integer",
                      "format": "int32"
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "$ref": "#/components/schemas/workerSummary_a489aef739484c13a59e6d502a9e7b68"
                      }
                    }
                  }
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "94a39e71541b468fa895955508287acd",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Current Staffing Information",
          "Worker Data: Public Worker Reports"
        ]
      }
    },
    "/workers/{ID}/requestOneTimePayment": {
      "post": {
        "tags": [
          "workers"
        ],
        "summary": "Request a one-time payment for a worker with the specified ID.",
        "description": "Creates a one-time payment for a worker with the specified ID, and initiates the Request One-Time Payment business process. In the request body, specify at least these required fields: reason{id}, position{id}, oneTimePayments[ paymentCurrency{id}, oneTimePaymentPlan {id}].\n\nSample format for paymentAmount:\n\"payment Amount\": {\n         \"value\": \"2500\"\n}\n\n<b>Secured By Business Process Type:</b> Request One-Time Payment\n\n<b>Scope:</b> Core Compensation",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_workers"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Employee_ID=21002"
              },
              "me": {
                "summary": "Named entry",
                "value": "me"
              }
            }
          }
        ],
        "requestBody": {
          "content": {
            "application/json": {
              "schema": {
                "$ref": "#/components/schemas/oneTimePaymentPlanEventInput_ada36316d338100011ac2ed696990026"
              }
            }
          }
        },
        "responses": {
          "201": {
            "description": "Resource created.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/oneTimePaymentPlanEventInput_ada36316d338100011ac2ed696990026"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)\n\nA One-Time Payment plan is required.\n\nAt least 1 One-Time Payment is required.\n\nBased on the worktag type configuration following worktag types are not valid for taggable type [tt]: [awt]. Please remove all worktags for the invalid worktag types.\n\nCompensation Change cannot take place before \\~Employee\\~ Hire Date.\n\nCoverage Start Date and Coverage End Date can not be entered for a One-Time Payment Plan that does not have Coverage Dates enabled.\n\nEffective Date is required.\n\nEither an amount or a percent for the One-Time Payment is required.\n\nIf specifying a Coverage Date range, then both dates must be specified.\n\nMultiple One-Time Payment is not enabled. Please enable Multiple One-Time Payment in HCM Tenant Setup - Compensation.\n\nOnly one worktag for each type is allowed for each document line.\n\nPlease use a valid One-Time Payment plan.\n\nPosition submitted is not filled as of the effective date.\n\nScheduled Payment Date cannot take place before the One Time Payment Effective Date.\n\nScheduled Payment Date must be equal to Event Effective Date when Multiple One-Time Payment is not enabled in Edit Tenant Setup - HCM.\n\nSelect a balancing worktag for Worktags of the following type: [type]\n\nThe coverage period End Date must be on or after Start Date.\n\nThe following Accounting Worktags are required but have not been assigned: [missing].\n\nThe job is not valid for the \\~employee\\~.\n\nThe \\~Employee\\~ Visibility Date has been set to a value, but the \\~Employee\\~ Visibility Feature has not been activated in the HCM Tenant settings. Please leave the date blank or activate the feature in the tenant level settings.\n\nThe \\~Employee\\~ Visibility Date must be on or after the Effective Date.\n\nThe \\~employee\\~ you have selected has more than one job. You must supply the job to which this operation applies.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "false",
        "x-workday-operation-id": "e809fdba72fd100010a1871c11070017",
        "x-workday-secured-by-business-process-types": [
          "Request One-Time Payment"
        ]
      }
    },
    "/workers/{ID}": {
      "get": {
        "tags": [
          "workers"
        ],
        "summary": "Retrieves a worker instance.",
        "description": "Retrieves a worker instance with the specific ID.\n\n<b>Secured By Domain:</b> FLW Service, Self-Service: Current Staffing Information, Worker Data: Public Worker Reports\n\n<b>Scope:</b> Staffing",
        "parameters": [
          {
            "name": "ID",
            "in": "path",
            "description": "The Workday ID of the resource.\n\nAccepts:\n- **Workday ID**: Workday ID (32-character lowercase hexadecimal string).\n- **Reference ID**: Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID\n- **Named entry**: Valid values: `me`.",
            "required": true,
            "schema": {
              "$ref": "#/components/schemas/ResourceIdPathValue_workers"
            },
            "examples": {
              "wid": {
                "summary": "Specific resource WID",
                "value": "a3f5b554007d20e98360015c5e6daf6"
              },
              "referenceId": {
                "summary": "Reference ID",
                "value": "Employee_ID=21002"
              },
              "me": {
                "summary": "Named entry",
                "value": "me"
              }
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/workerProfile_c0a0dce56eb142d39dbffeb505becf7a"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-try-enabled": "true",
        "x-workday-operation-id": "94a39e71541b468fa895955508287acd",
        "x-workday-secured-by-domains": [
          "FLW Service",
          "Self-Service: Current Staffing Information",
          "Worker Data: Public Worker Reports"
        ]
      }
    },
    "/values/oneTimePaymentPlanGroup/oneTimePaymentPlan/": {
      "get": {
        "tags": [
          "Prompt Values"
        ],
        "description": "Retrieves instances that can be used as values for other endpoint parameters in this service.",
        "responses": {
          "200": {
            "description": "Successful response. A successful response can return no matched data.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/MULTIPLE_INSTANCE_MODEL_REFERENCE"
                }
              }
            }
          },
          "400": {
            "description": "Invalid request. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "401": {
            "description": "Unauthorized: Missing or invalid credentials. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "403": {
            "description": "User has insufficient permissions. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "404": {
            "description": "Resource not found. (https://community.workday.com/rest/error-messages)",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/VALIDATION_ERROR_MODEL_REFERENCE"
                }
              }
            }
          },
          "default": {
            "description": "An error occurred.",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        },
        "x-workday-internal-protected-usage-enabled": false,
        "x-workday-internal-try-enabled": "false"
      },
      "parameters": [
        {
          "name": "limit",
          "in": "query",
          "description": "The maximum number of objects in a single response. The default and maximum is 1000.",
          "schema": {
            "type": "integer",
            "format": "int64"
          }
        },
        {
          "name": "offset",
          "in": "query",
          "description": "The zero-based index of the first object in a response collection. The default is 0. Use offset with the limit parameter to control paging of a response collection. Example: If limit is 5 and offset is 9, the response returns a collection of 5 objects starting with the 10th object.",
          "schema": {
            "type": "integer",
            "format": "int64"
          }
        },
        {
          "name": "position",
          "in": "query",
          "description": "Eligibility for One-Time Payment Plan is evaluated against this query param.",
          "schema": {
            "type": "string"
          }
        },
        {
          "name": "search",
          "in": "query",
          "description": "A search string that matches display IDs. The search is case-insensitive and matches words that start with the given string.",
          "schema": {
            "type": "string"
          }
        }
      ],
      "x-workday-confidence-level": "Production"
    }
  },
  "components": {
    "schemas": {
      "INSTANCE_MODEL_REFERENCE": {
        "required": [
          "id"
        ],
        "type": "object",
        "properties": {
          "id": {
            "pattern": "^(([0-9a-f]{32})|(\\S+=\\S+))$",
            "type": "string",
            "description": "Workday Id or Reference Id of the instance."
          },
          "descriptor": {
            "type": "string",
            "description": "The display name of the instance",
            "readOnly": true
          },
          "href": {
            "type": "string",
            "description": "A link to the instance",
            "readOnly": true
          }
        }
      },
      "ERROR_MODEL_REFERENCE": {
        "required": [
          "error"
        ],
        "type": "object",
        "properties": {
          "error": {
            "type": "string",
            "description": "A description of the error"
          },
          "code": {
            "type": "string",
            "description": "The code that corresponds to the error message. Use the error code to drive programmatic error-handling behavior. Don't use error message strings for this purpose because they are subject to change"
          },
          "field": {
            "type": "string",
            "description": "The field related to the error"
          },
          "path": {
            "type": "string",
            "description": "The path of the field related to the error"
          },
          "severity": {
            "type": "string",
            "description": "Severity of the validation (e.g. Critical, Warning)."
          },
          "internalMessage": {
            "type": "string",
            "description": "Internal message providing additional context for the validation (e.g. representation content validation details)."
          }
        }
      },
      "VALIDATION_ERROR_MODEL_REFERENCE": {
        "allOf": [
          {
            "required": [
              "error"
            ],
            "type": "object",
            "properties": {
              "error": {
                "type": "string",
                "description": "A description of the error"
              },
              "errors": {
                "type": "array",
                "description": "An array of validation errors",
                "items": {
                  "$ref": "#/components/schemas/ERROR_MODEL_REFERENCE"
                }
              }
            }
          }
        ]
      },
      "FACETS_MODEL_REFERENCE": {
        "type": "array",
        "items": {
          "type": "object",
          "properties": {
            "descriptor": {
              "type": "string",
              "description": "A description of the facet"
            },
            "facetParameter": {
              "type": "string",
              "description": "The alias used to select the facet"
            },
            "values": {
              "type": "array",
              "description": "the facet values",
              "items": {
                "required": [
                  "id"
                ],
                "type": "object",
                "properties": {
                  "count": {
                    "type": "integer",
                    "description": "The number of instances returned by this facet",
                    "format": "int32"
                  },
                  "id": {
                    "pattern": "^(([0-9a-f]{32})|(\\S+=\\S+))$",
                    "type": "string",
                    "description": "Workday Id or Reference Id of the instance."
                  },
                  "descriptor": {
                    "type": "string",
                    "description": "A description of the facet"
                  },
                  "href": {
                    "type": "string",
                    "description": "A link to the instance",
                    "readOnly": true
                  }
                }
              }
            }
          },
          "description": "This object represents the possible facets for this resource",
          "readOnly": true
        }
      },
      "MULTIPLE_INSTANCE_MODEL_REFERENCE": {
        "type": "object",
        "properties": {
          "total": {
            "type": "integer",
            "format": "int32"
          },
          "data": {
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
            }
          }
        }
      },
      "WorkdayId": {
        "pattern": "^[0-9a-f]{32}$",
        "type": "string",
        "description": "Workday ID (32-character lowercase hexadecimal string).",
        "example": "a3f5b554007d20e98360015c5e6daf6"
      },
      "WorkdayReferenceId_scorecardResults": {
        "pattern": "^(Compensation_Performance_Scorecard_Result_ID)=\\S+$",
        "type": "string",
        "description": "Workday reference ID (Type=Value). Valid types: Compensation_Performance_Scorecard_Result_ID",
        "example": "Compensation_Performance_Scorecard_Result_ID=21002"
      },
      "ResourceIdPathValue_scorecardResults": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/WorkdayId"
          },
          {
            "$ref": "#/components/schemas/WorkdayReferenceId_scorecardResults"
          }
        ]
      },
      "scorecardID_9417ca9c97d9100010b7515ebf9e010b": {
        "description": "Returns the Default Scorecard for the Scorecard Result Instance",
        "allOf": [
          {
            "$ref": "#/components/schemas/defaultScorecard_c04de7a15cc210000fc41acababf0019"
          },
          {
            "type": "object"
          }
        ]
      },
      "defaultScorecardGoalsResult_9417ca9c97d91000112f60d761110113": {
        "description": "Returns the Default Score for a Scorecard Result.",
        "allOf": [
          {
            "$ref": "#/components/schemas/scoreset_9417ca9c97d91000112e77cec5c70111"
          },
          {
            "type": "object"
          }
        ]
      },
      "scoresetContainer_9417ca9c97d910000b2cd7813b5b00fc": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "scorecardID": {
                "$ref": "#/components/schemas/scorecardID_9417ca9c97d9100010b7515ebf9e010b"
              },
              "defaultScorecardGoalsResult": {
                "$ref": "#/components/schemas/defaultScorecardGoalsResult_9417ca9c97d91000112f60d761110113"
              },
              "profileScorecardGoalsResult": {
                "type": "array",
                "description": "Returns the Scorecard Profiles for a Scorecard Result",
                "items": {
                  "$ref": "#/components/schemas/profileScorecardGoalsResult_031a6cc942de1000135e69b35a4601cd"
                },
                "x-workday-type": "Multi-instance"
              },
              "evaluationDate": {
                "type": "string",
                "description": "Scorecard Result Evaluation Date",
                "format": "date",
                "x-workday-type": "Date"
              },
              "scorecardDescription": {
                "type": "string",
                "description": "Returns the Scorecard's Description",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "scorecardName": {
                "type": "string",
                "description": "The \\~goal\\~ name of the scorecard criteria result.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "scorecardID_788fbbd8885d1000099731d83fc70160": {
        "description": "Returns the Default Scorecard for the Scorecard Result Instance",
        "allOf": [
          {
            "$ref": "#/components/schemas/defaultScorecard_c04de7a15cc210000fc41acababf0019"
          },
          {
            "type": "object"
          }
        ]
      },
      "createScorecardResults_788fbbd8885d100009973168b6ea015e": {
        "allOf": [
          {
            "required": [
              "evaluationDate",
              "scorecardID"
            ],
            "type": "object",
            "properties": {
              "scorecardName": {
                "type": "string",
                "description": "The \\~goal\\~ name of the scorecard criteria result.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text",
                "x-readOnly": true
              },
              "evaluationDate": {
                "type": "string",
                "description": "Scorecard Result Evaluation Date",
                "format": "date",
                "x-workday-type": "Date"
              },
              "scorecardID": {
                "$ref": "#/components/schemas/scorecardID_788fbbd8885d1000099731d83fc70160"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "ResourceIdPathValue_scores": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/WorkdayId"
          }
        ]
      },
      "scoreInput_b919a306ff7e10000e12a527cd2c0166": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "achievement": {
                "type": "number",
                "description": "The achievement percentage for the scorecard criteria result.",
                "format": "double",
                "example": 1,
                "x-workday-type": "Numeric"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "WorkdayReferenceId_scorecards": {
        "pattern": "^(Performance_Scorecard_ID)=\\S+$",
        "type": "string",
        "description": "Workday reference ID (Type=Value). Valid types: Performance_Scorecard_ID",
        "example": "Performance_Scorecard_ID=21002"
      },
      "ResourceIdPathValue_scorecards": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/WorkdayId"
          },
          {
            "$ref": "#/components/schemas/WorkdayReferenceId_scorecards"
          }
        ]
      },
      "scorecard_e8cffc5e0fe810000b26ce3a5d2200f4": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "scorecardProfiles": {
                "type": "array",
                "description": "The profiles for the Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/scorecardProfiles_5ec11e698afe10000c93771015820144"
                },
                "x-workday-type": "Multi-instance"
              },
              "scorecardName": {
                "type": "string",
                "description": "The name of the Compensation Scorecard.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "effectiveDate": {
                "type": "string",
                "description": "The Effective Date of the Compensation Scorecard in format YYYY-MM-DD.",
                "format": "date",
                "x-workday-type": "Date"
              },
              "inactive": {
                "type": "boolean",
                "description": "Indicates whether the Scorecard is inactive using a value of true/false.",
                "example": true,
                "x-workday-type": "Boolean"
              },
              "scorecardDescription": {
                "type": "string",
                "description": "The description of the Compensation Scorecard.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "defaultScorecardGoals": {
                "type": "array",
                "description": "The goals for the Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/defaultScorecardGoals_5ec11e698afe10000c0792b20d370140"
                },
                "x-workday-type": "Multi-instance"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "editScorecards_6316bca5e030100008492348577100af": {
        "allOf": [
          {
            "required": [
              "defaultScorecardGoals",
              "effectiveDate",
              "scorecardName"
            ],
            "type": "object",
            "properties": {
              "scorecardProfiles": {
                "type": "array",
                "description": "Replaces the array of Profile Scorecard Goals and Eligibility Rules as of the specified effectiveDate.  Creates a new array if one does not exist.  Deletes the array if one exists as of the specified effectiveDate and the array is not included in the PUT.",
                "items": {
                  "$ref": "#/components/schemas/scorecardProfiles_ab761d753f94100006dd7a5a55e50192"
                },
                "x-workday-type": "Multi-instance"
              },
              "defaultScorecardGoals": {
                "type": "array",
                "description": "Replaces the array of Default Scorecard Goal fields as of the specified effectiveDate.",
                "items": {
                  "$ref": "#/components/schemas/defaultScorecardGoals_fcedbf0ab58c10000983d0b90d360134"
                },
                "x-workday-type": "Multi-instance"
              },
              "scorecardName": {
                "type": "string",
                "description": "Replaces the name of the Compensation Scorecard as of the specified effectiveDate.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "inactive": {
                "type": "boolean",
                "description": "Replaces the inactive status of the Compensation Scorecard as of the specified effectiveDate.  Default value: false.",
                "example": true,
                "x-workday-type": "Boolean"
              },
              "effectiveDate": {
                "type": "string",
                "description": "The Effective Date of the updates to the Compensation Scorecard.  Date must be entered in format: YYYY-MM-DD.",
                "format": "date",
                "x-workday-type": "Date"
              },
              "scorecardDescription": {
                "type": "string",
                "description": "Replaces the description of the Compensation Scorecard as of the specified effectiveDate.  Deletes the description if a description exists as of the specified effectiveDate and this field is not included in the PUT.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "createScorecard_e783e109d05a100008666e71ee9200c1": {
        "allOf": [
          {
            "required": [
              "defaultScorecardGoals",
              "effectiveDate",
              "scorecardName"
            ],
            "type": "object",
            "properties": {
              "defaultScorecardGoals": {
                "type": "array",
                "description": "The \\~goals\\~ for the Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/defaultScorecardGoals_e783e109d05a100008666ebe55a100c4"
                },
                "x-workday-type": "Multi-instance"
              },
              "scorecardName": {
                "type": "string",
                "description": "The name of the Compensation Scorecard.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "inactive": {
                "type": "boolean",
                "description": "Indicates whether the Scorecard is inactive using a value of true/false.",
                "example": true,
                "x-workday-type": "Boolean"
              },
              "scorecardProfiles": {
                "type": "array",
                "description": "The profiles for the Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/scorecardProfiles_e783e109d05a100008666e9829b100c2"
                },
                "x-workday-type": "Multi-instance"
              },
              "scorecardDescription": {
                "type": "string",
                "description": "The description of the Compensation Scorecard.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "effectiveDate": {
                "type": "string",
                "description": "The Effective Date of the Compensation Scorecard in format YYYY-MM-DD",
                "format": "date",
                "x-workday-type": "Date"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "NamedEntry_workers": {
        "type": "string",
        "description": "Named entry alias",
        "enum": [
          "me"
        ]
      },
      "WorkdayReferenceId_workers": {
        "pattern": "^(Employee_ID|Contingent_Worker_ID)=\\S+$",
        "type": "string",
        "description": "Workday reference ID (Type=Value). Valid types: Employee_ID, Contingent_Worker_ID",
        "example": "Employee_ID=21002"
      },
      "ResourceIdPathValue_workers": {
        "oneOf": [
          {
            "$ref": "#/components/schemas/WorkdayId"
          },
          {
            "$ref": "#/components/schemas/WorkdayReferenceId_workers"
          },
          {
            "$ref": "#/components/schemas/NamedEntry_workers"
          }
        ]
      },
      "location_d6235be431f940598806053af7ba94ef": {
        "description": "Contains the location for the \\~worker\\~.",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "primarySupervisoryOrganization_851e1342d4c2489c9680fb2a899227ca": {
        "description": "The \\~supervisory organization\\~ for the \\~worker's\\~ primary position, if the \\~supervisory organization\\~ is viewable by everyone.",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "workerProfile_c0a0dce56eb142d39dbffeb505becf7a": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "dateOfBirth": {
                "type": "string",
                "description": "The birth date of the \\~worker\\~.",
                "format": "date",
                "x-workday-type": "Date"
              },
              "supervisoryOrganizationsManaged": {
                "type": "string",
                "description": "All \\~supervisory organizations\\~, excluding inherited organizations, in which the \\~worker\\~ has a leadership role.",
                "format": "url",
                "readOnly": true,
                "x-workday-type": "Multi-instance"
              },
              "businessTitle": {
                "type": "string",
                "description": "The business title for the \\~worker's\\~ primary position. If no business title is defined for a position, the position title is returned back.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "isManager": {
                "type": "boolean",
                "description": "Identifies if the \\~worker\\~ has a \\~manager\\~ role.",
                "example": true,
                "x-workday-type": "Boolean"
              },
              "primaryWorkEmail": {
                "type": "string",
                "description": "The primary work email address for the \\~worker\\~.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "location": {
                "$ref": "#/components/schemas/location_d6235be431f940598806053af7ba94ef"
              },
              "primaryWorkPhone": {
                "type": "string",
                "description": "The primary work phone number for the \\~worker\\~ including the area code and \\~country\\~ code.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "primaryWorkAddressText": {
                "type": "string",
                "description": "Returns the primary work address for the \\~worker\\~, or from their default primary work location, full format on a single line.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "primarySupervisoryOrganization": {
                "$ref": "#/components/schemas/primarySupervisoryOrganization_851e1342d4c2489c9680fb2a899227ca"
              },
              "yearsOfService": {
                "type": "number",
                "description": "The years of service for the \\~worker\\~.",
                "format": "double",
                "example": 99999999999.99,
                "x-workday-type": "Numeric"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "href": {
                "type": "string",
                "description": "A link to the instance"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "primarySupervisoryOrganization_642d7497e69c48da946fc503f66d7da1": {
        "description": "The \\~supervisory organization\\~ for the \\~worker's\\~ primary position, if the \\~supervisory organization\\~ is viewable by everyone.",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "workerSummary_a489aef739484c13a59e6d502a9e7b68": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "isManager": {
                "type": "boolean",
                "description": "Identifies if the \\~worker\\~ has a \\~manager\\~ role.",
                "example": true,
                "x-workday-type": "Boolean"
              },
              "primaryWorkPhone": {
                "type": "string",
                "description": "The primary work phone number for the \\~worker\\~ including the area code and \\~country\\~ code.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "primaryWorkEmail": {
                "type": "string",
                "description": "The primary work email address for the \\~worker\\~.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "primarySupervisoryOrganization": {
                "$ref": "#/components/schemas/primarySupervisoryOrganization_642d7497e69c48da946fc503f66d7da1"
              },
              "businessTitle": {
                "type": "string",
                "description": "The business title for the \\~worker's\\~ primary position. If no business title is defined for a position, the position title is returned back.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "href": {
                "type": "string",
                "description": "A link to the instance"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "position_aa655adbcee910002fcec09dadb70084": {
        "description": "Position Element",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "reason_ada36316d338100012078240be64002b": {
        "description": "The business process type, reason category and reason associated with the business process (e.g. Hire \\~Employee\\~ > New Hire > New Position).",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "oneTimePaymentPlanEventInput_ada36316d338100011ac2ed696990026": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "oneTimePayments": {
                "type": "array",
                "description": "All one-time payments associated with the event.",
                "items": {
                  "$ref": "#/components/schemas/oneTimePayments_74e74326e3da1000191f2a639d170046"
                },
                "x-workday-type": "Multi-instance"
              },
              "position": {
                "$ref": "#/components/schemas/position_aa655adbcee910002fcec09dadb70084"
              },
              "reason": {
                "$ref": "#/components/schemas/reason_ada36316d338100012078240be64002b"
              },
              "effectiveDate": {
                "type": "string",
                "description": "The date this business process takes effect.",
                "format": "date",
                "x-workday-type": "Date"
              },
              "employeeVisibilityDate": {
                "type": "string",
                "description": "Returns the date that a compensation change is visible to a \\~worker\\~.",
                "format": "date",
                "x-workday-type": "Date"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "id": {
                "type": "string",
                "description": "Workday Id or Reference Id of the instance."
              }
            }
          }
        ]
      },
      "defaultScorecard_c04de7a15cc210000fc41acababf0019": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Compensation Scorecard"
              }
            }
          }
        ]
      },
      "scoreGoal_99e36113850b10000c88dae09c9b00c0": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Performance Criteria"
              }
            }
          }
        ]
      },
      "goalID_031a6cc942de10001432e1711d9201d6": {
        "description": "The criteria for the scorecard criteria result.",
        "allOf": [
          {
            "$ref": "#/components/schemas/scoreGoal_99e36113850b10000c88dae09c9b00c0"
          },
          {
            "type": "object"
          }
        ]
      },
      "scoresetScore_031a6cc942de10001432e156a86901d4": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "achievement": {
                "type": "number",
                "description": "The achievement percentage for the scorecard criteria result.",
                "format": "double",
                "example": 999999.999999,
                "x-workday-type": "Numeric"
              },
              "goalWeight": {
                "type": "number",
                "description": "The criteria weighted percentage of the scorecard criteria result.",
                "format": "double",
                "example": 999999.999999,
                "x-workday-type": "Numeric"
              },
              "goalID": {
                "$ref": "#/components/schemas/goalID_031a6cc942de10001432e1711d9201d6"
              },
              "goalName": {
                "type": "string",
                "description": "The \\~goal\\~ name of the scorecard criteria result.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "id": {
                "type": "string",
                "description": "The id for Score"
              }
            }
          }
        ]
      },
      "performanceScores_031a6cc942de100013eade974c9a01d2": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scoresetScore_031a6cc942de10001432e156a86901d4"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Score"
              }
            }
          }
        ]
      },
      "eligibiltyRule_031a6cc942de100015833eaa47c701e4": {
        "description": "The Eligibility Rule for a Scorecard Profile.",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "scoreset_9417ca9c97d91000112e77cec5c70111": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "performanceScores": {
                "type": "array",
                "description": "The set of Performance Scores for a Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/performanceScores_031a6cc942de100013eade974c9a01d2"
                },
                "x-workday-type": "Multi-instance"
              },
              "weightedFundingPercent": {
                "type": "number",
                "description": "Calculates the total Weighted Funding Percent for all the scores in the scorecard result set.",
                "format": "double",
                "example": 999999.999999,
                "x-workday-type": "Numeric"
              },
              "eligibiltyRule": {
                "$ref": "#/components/schemas/eligibiltyRule_031a6cc942de100015833eaa47c701e4"
              },
              "descriptor": {
                "type": "string",
                "description": "The display name of the instance",
                "example": "Lorem ipsum dolor sit ame"
              },
              "id": {
                "type": "string",
                "description": "The id for Compensation Scorecard Result"
              }
            }
          }
        ]
      },
      "profileScorecardGoalsResult_031a6cc942de1000135e69b35a4601cd": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scoreset_9417ca9c97d91000112e77cec5c70111"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Compensation Scorecard Result"
              }
            }
          }
        ]
      },
      "scorecardGoalSummary_e8cffc5e0fe8100015e8c9f2a2a30110": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "goalWeight": {
                "type": "number",
                "description": "The weight given to the Compensation Scorecard \\~Goal\\~. [90% will be displayed as 0.9]",
                "format": "double",
                "example": 999999.9999,
                "x-workday-type": "Numeric"
              },
              "goalDescription": {
                "type": "string",
                "description": "The description of the Compensation Scorecard \\~Goal\\~.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "goalName": {
                "type": "string",
                "description": "The name of the Compensation Scorecard \\~Goal\\~.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "id": {
                "type": "string",
                "description": "The id for Performance Criteria"
              }
            }
          }
        ]
      },
      "eligibilityRule_e8cffc5e0fe8100019d298288b26011c": {
        "description": "The name of the Compensation Eligibility Rule assigned to the Compensation Scorecard Profile.",
        "allOf": [
          {
            "$ref": "#/components/schemas/INSTANCE_MODEL_REFERENCE"
          },
          {
            "type": "object"
          }
        ]
      },
      "profileScorecardGoals_e8cffc5e0fe8100019d298117ae00119": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scorecardGoalSummary_e8cffc5e0fe8100015e8c9f2a2a30110"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Performance Criteria"
              }
            }
          }
        ]
      },
      "scorecardProfile_e8cffc5e0fe8100019d2980406830118": {
        "allOf": [
          {
            "type": "object",
            "properties": {
              "eligibilityRule": {
                "$ref": "#/components/schemas/eligibilityRule_e8cffc5e0fe8100019d298288b26011c"
              },
              "profileScorecardGoals": {
                "type": "array",
                "description": "The goals for the Compensation Scorecard.",
                "items": {
                  "$ref": "#/components/schemas/profileScorecardGoals_e8cffc5e0fe8100019d298117ae00119"
                },
                "x-workday-type": "Multi-instance"
              },
              "id": {
                "type": "string",
                "description": "The id for Scorecard Profile"
              }
            }
          }
        ]
      },
      "scorecardProfiles_5ec11e698afe10000c93771015820144": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scorecardProfile_e8cffc5e0fe8100019d2980406830118"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Scorecard Profile"
              }
            }
          }
        ]
      },
      "defaultScorecardGoals_5ec11e698afe10000c0792b20d370140": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scorecardGoalSummary_e8cffc5e0fe8100015e8c9f2a2a30110"
          },
          {
            "type": "object",
            "properties": {
              "id": {
                "type": "string",
                "description": "The id for Performance Criteria"
              }
            }
          }
        ]
      },
      "scorecardGoals_739602a83e141000065bcbec559400c4": {
        "allOf": [
          {
            "required": [
              "goalName",
              "goalWeight"
            ],
            "type": "object",
            "properties": {
              "goalWeight": {
                "type": "number",
                "description": "Replaces the weight of the Compensation Scorecard \\~Goal\\~ as of the specified effectiveDate.  [Weight should be entered as 0.9 for a goalWeight of 90%]",
                "format": "double",
                "example": 999999.9999,
                "x-workday-type": "Numeric"
              },
              "goalName": {
                "type": "string",
                "description": "Replaces the name of the Compensation Scorecard Goal as of the specified effectiveDate.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "goalDescription": {
                "type": "string",
                "description": "Replaces the description of the Compensation Scorecard Goal as of the specified effectiveDate.  Deletes the description if a description exists as of the specified effectiveDate and this field is not included in the PUT.",
                "example": "Lorem ipsum dolor sit amet, cum choro singulis consectetuer ut, ubique iisque contentiones ex duo. Quo lorem etiam eu.",
                "x-workday-type": "Text"
              },
              "id": {
                "type": "string",
                "description": "The id for Performance Criteria"
              }
            }
          }
        ]
      },
      "profileScorecardGoals_ab761d753f94100006db1fc25c4a018d": {
        "allOf": [
          {
            "$ref": "#/components/schemas/scorecardGoals_739602a83e141000065bcbec559400c4"
          },
          {
[...]
